using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Data.Odbc;

namespace CWW
{
	/// <summary>
	/// Summary description for VolunteerApp.
	/// </summary>
	public class VolunteerApp : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFirstName;
		protected System.Web.UI.WebControls.Label FirstNameLabel;
		protected System.Web.UI.WebControls.TextBox FirstNameField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredLastName;
		protected System.Web.UI.WebControls.Label LastNameLabel;
		protected System.Web.UI.WebControls.TextBox LastNameField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredAddress;
		protected System.Web.UI.WebControls.Label AddressLabel;
		protected System.Web.UI.WebControls.TextBox AddressField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredCity;
		protected System.Web.UI.WebControls.Label CityLabel;
		protected System.Web.UI.WebControls.TextBox CityField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredProv;
		protected System.Web.UI.WebControls.Label ProvinceLabel;
		protected System.Web.UI.WebControls.TextBox ProvField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredCountry;
		protected System.Web.UI.WebControls.Label CountryLabel;
		protected System.Web.UI.WebControls.TextBox CountryField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredPostal;
		protected System.Web.UI.WebControls.Label PostalLabel;
		protected System.Web.UI.WebControls.TextBox PostalField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredEmail;
		protected System.Web.UI.WebControls.Label EmailLabel;
		protected System.Web.UI.WebControls.TextBox EmailField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredSIN;
		protected System.Web.UI.WebControls.Label SINLabel;
		protected System.Web.UI.WebControls.TextBox SINField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredTelephone;
		protected System.Web.UI.WebControls.Label TelephoneLabel;
		protected System.Web.UI.WebControls.TextBox TelephoneField;
		protected System.Web.UI.WebControls.Label MobileLabel;
		protected System.Web.UI.WebControls.TextBox MobileField;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.TextBox WorkField;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.TextBox FaxField;
		protected System.Web.UI.WebControls.RadioButtonList RadioButtonList1;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredContactName;
		protected System.Web.UI.WebControls.Label ContactNameLabel;
		protected System.Web.UI.WebControls.TextBox ContactNameField;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredContactTelephone;
		protected System.Web.UI.WebControls.Label ContactTelephoneLabel;
		protected System.Web.UI.WebControls.TextBox ContactTelephoneField;
		protected System.Web.UI.WebControls.Label LearnLabel;
		protected System.Web.UI.WebControls.TextBox Textbox1;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredCover;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredResume;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredPhoto;
		protected System.Web.UI.WebControls.Button SubmitButton;
		protected System.Web.UI.WebControls.Button ResetButton;
		protected System.Web.UI.WebControls.ValidationSummary ValidationSummary1;
		protected System.Web.UI.HtmlControls.HtmlInputFile CoverLetterFile;
		protected System.Web.UI.HtmlControls.HtmlInputFile ResumeFile;
		protected System.Web.UI.WebControls.TextBox StrCamTrainee;
		protected System.Web.UI.WebControls.TextBox TextBox2;
		protected System.Web.UI.WebControls.TextBox TextBox3;
		protected System.Web.UI.WebControls.TextBox TextBox4;
		protected System.Web.UI.WebControls.TextBox TextBox5;
		protected System.Web.UI.WebControls.TextBox TextBox6;
		protected System.Web.UI.WebControls.TextBox TextBox7;
		protected System.Web.UI.WebControls.TextBox TextBox8;
		protected System.Web.UI.HtmlControls.HtmlInputFile PhotoFile;

		protected string strCoverLetterFileName;
		protected string strResumeFileName;
		protected string strPhotoFileName;
		protected System.Web.UI.WebControls.TextBox priCam;
		protected System.Web.UI.WebControls.TextBox priGrip;
		protected System.Web.UI.WebControls.TextBox priSound;
		protected System.Web.UI.WebControls.TextBox priWard;
		protected System.Web.UI.WebControls.TextBox priPa;
		protected System.Web.UI.WebControls.TextBox priProps;
		protected System.Web.UI.WebControls.TextBox priSetDec;
		protected System.Web.UI.WebControls.TextBox priOther;
		protected System.Web.UI.WebControls.TextBox priOtherSpecify;
		protected System.Web.UI.WebControls.TextBox streCam;
		protected System.Web.UI.WebControls.TextBox streGrip;
		protected System.Web.UI.WebControls.TextBox streSound;
		protected System.Web.UI.WebControls.TextBox streWard;
		protected System.Web.UI.WebControls.TextBox strePa;
		protected System.Web.UI.WebControls.TextBox streProps;
		protected System.Web.UI.WebControls.TextBox streSetDec;
		protected System.Web.UI.WebControls.TextBox streOther;
		protected System.Web.UI.WebControls.TextBox streOtherSpecify;
		protected System.Web.UI.WebControls.RequiredFieldValidator priCamRequired;
		protected System.Web.UI.WebControls.RequiredFieldValidator PriGripRequired;
		protected System.Web.UI.WebControls.RequiredFieldValidator PriSoundRequired;
		protected System.Web.UI.WebControls.RequiredFieldValidator PriWardRequired;
		protected System.Web.UI.WebControls.RequiredFieldValidator priPaRequired;
		protected System.Web.UI.WebControls.RequiredFieldValidator PriPropsRequired;
		protected System.Web.UI.WebControls.RequiredFieldValidator PriSetDecRequired;
		protected System.Web.UI.WebControls.RequiredFieldValidator PriOtherRequired;
		protected System.Web.UI.WebControls.RequiredFieldValidator PriOtherReqRequired;
		protected System.Web.UI.WebControls.RequiredFieldValidator StreGripRequired;
		protected System.Web.UI.WebControls.RequiredFieldValidator StreCamRequired;
		protected System.Web.UI.WebControls.RequiredFieldValidator StreSoundRequired;
		protected System.Web.UI.WebControls.RequiredFieldValidator StreWardRequired;
		protected System.Web.UI.WebControls.RequiredFieldValidator StrePaRequired;
		protected System.Web.UI.WebControls.RequiredFieldValidator StrePropsRequired;
		protected System.Web.UI.WebControls.RequiredFieldValidator StreSetDecRequired;
		protected System.Web.UI.WebControls.RequiredFieldValidator StreOtherRequired;
		protected System.Web.UI.WebControls.RequiredFieldValidator StreOtherSpecifyRequired;
		protected string strFileDirectory = "/services/webpages/c/r/creativewomenworkshops.com/public/CWW/Admin/Attachments/";

		public void submitUploads() 
		{
			//save files into the server (includes the path)
			CoverLetterFile.PostedFile.SaveAs(strFileDirectory + strCoverLetterFileName);
			ResumeFile.PostedFile.SaveAs(strFileDirectory + strResumeFileName);
			PhotoFile.PostedFile.SaveAs(strFileDirectory + strPhotoFileName);
		}
	
		public string getFirstName()
		{
			return FirstNameField.Text;
		}

		public string getLastName()
		{
			return LastNameField.Text;
		}

		public string getAddress()
		{
			return AddressField.Text;
		}

		public string getCity()
		{
			return CityField.Text;
		}

		public string getProv()
		{
			return ProvField.Text;
		}

		public string getCountry()
		{
			return CountryField.Text;
		}

		public string getPostal()
		{
			return PostalField.Text;
		}

		public string getEmail()
		{
			return EmailField.Text;
		}

		public string getSIN()
		{
			return SINField.Text;
		}

		public string getTelephone()
		{
			return TelephoneField.Text;
		}

		public string getMobile()
		{
			return MobileField.Text;
		}

		public string getWork()
		{
			return WorkField.Text;
		}

		public string getFax()
		{
			return FaxField.Text;
		}

		public string getSmoking()
		{
			return RadioButtonList1.SelectedValue;
		}

		public string getContactName()
		{
			return ContactNameField.Text;
		}

		public string getContactTelephone()
		{
			return ContactTelephoneField.Text;
		}
		
		public string getLearn()
		{
			return Textbox1.Text;
		}

		public HtmlInputFile getCoverLetterFile()
		{
			return CoverLetterFile;
		}

		public HtmlInputFile getResumeFile()
		{
			return ResumeFile;
		}

		public HtmlInputFile getPhotoFile()
		{
			return PhotoFile;
		}

		public string getPriCam() 
		{
			return priCam.Text;
		}

		public string getPriGrip()
		{
			return priGrip.Text;
		}

		public string getPriSound()
		{
			return priSound.Text;
		}

		public string getPriWard()
		{
			return priWard.Text;
		}

		public string getPriPa()
		{
			return priPa.Text;
		}

		public string getPriProps()
		{
			return priProps.Text;
		}

		public string getPriSetDec()
		{
			return priSetDec.Text;
		}

		public string getPriOther()
		{
			return priOther.Text;
		}

		public string getPriOtherSpecify()
		{
			return priOtherSpecify.Text;
		}

		public string getStreCam()
		{
			return streCam.Text;
		}

		public string getStreGrip()
		{
			return streGrip.Text;
		}
		
		public string getStreSound()
		{
			return streWard.Text;
		}

		public string getStreWard()
		{
			return streWard.Text;
		}

		public string getStrePa()
		{
			return strePa.Text;
		}

		public string getStreProps()
		{
			return streProps.Text;
		}

		public string getStreSetDec()
		{
			return streSetDec.Text;	
		}

		public string getStreOther()
		{
			return streOther.Text;
		}

		public string getStreOtherSpecify()
		{
			return streOtherSpecify.Text;
		}

		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{   
			this.SubmitButton.Click += new System.EventHandler(this.SubmitButton_Click);
			this.ResetButton.Click += new System.EventHandler(this.ResetButton_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void SubmitButton_Click(object sender, System.EventArgs e)
		{
			
			//determine file names to be uploaded
			strCoverLetterFileName = System.IO.Path.GetFileName(CoverLetterFile.PostedFile.FileName);
			strResumeFileName = System.IO.Path.GetFileName(ResumeFile.PostedFile.FileName);
			strPhotoFileName = System.IO.Path.GetFileName(PhotoFile.PostedFile.FileName);
			
			//create a folder in the current directory to store the attached files
			Directory.CreateDirectory(strFileDirectory + "Vol_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/"); //main
			Directory.CreateDirectory(strFileDirectory + "Vol_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/resume/"); //resume
			Directory.CreateDirectory(strFileDirectory + "Vol_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/cover/"); //cover
			Directory.CreateDirectory(strFileDirectory + "Vol_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/photo/"); //photo


			//save files into the server (includes the path)
			CoverLetterFile.PostedFile.SaveAs(strFileDirectory + "Vol_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/cover/" + strCoverLetterFileName);
			ResumeFile.PostedFile.SaveAs(strFileDirectory + "Vol_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/resume/" + strResumeFileName);
			PhotoFile.PostedFile.SaveAs(strFileDirectory + "Vol_" + LastNameField.Text 
				+ "_" + FirstNameField.Text + "/photo/" + strPhotoFileName);
			
			//string used to connect to server
			string connectionString = @"DRIVER={MySQL ODBC 3.51 Driver};SERVER=69.93.102.150;DATABASE=cwwadb;USER=cwwa;PASSWORD=sintegrate;OPTION=3;";
			
			OdbcConnection conn= new OdbcConnection(connectionString); // creates connection to mysql server

			string InsertStatement = "INSERT INTO Application (firstName, lastName, address, city, provState, country, postalZip, email, SIN, telephone, mobileNo, workNo, faxNo, smoking, contactName, contactTelephone, learn, isHidden, date, coverAttachment, ResumeAttachment, PhotoAttachment, position, prioCam, prioGrip, prioSound, prioWard, prioPA, prioProps, prioSetDec, prioOther, prioSpecifyOther, streCam, streGrip, streSound, streWard, strePA, streProps, streSetDec, streOther, streSpecifyOther) ";
			
			string myInsertStatement = InsertStatement + " values ('" + FirstNameField.Text 
				+ "', '" + LastNameField.Text
				+ "', '" + AddressField.Text
				+ "', '" + CityField.Text
				+ "', '" + ProvField.Text
				+ "', '" + CountryField.Text
				+ "', '" + PostalField.Text
				+ "', '" + EmailField.Text
				+ "', '" + SINField.Text
				+ "', '" + TelephoneField.Text
				+ "', '" + MobileField.Text
				+ "', '" + WorkField.Text
				+ "', '" + FaxField.Text
				+ "', '" + RadioButtonList1.SelectedValue
				+ "', '" + ContactNameField.Text
				+ "', '" + ContactTelephoneField.Text
				+ "', '" + Textbox1.Text
				+ "', " + "1"
				+ ", '" + DateTime.Now.ToString()
				+ "', '" + "http://www.creativewomenworkshops.com/CWW/Admin/Attachments/" + "Vol_" + LastNameField.Text + "_" + FirstNameField.Text + "/cover/" + strCoverLetterFileName
				+ "', '" + "http://www.creativewomenworkshops.com/CWW/Admin/Attachments/" + "Vol_" + LastNameField.Text + "_" + FirstNameField.Text + "/resume/" + strResumeFileName
				+ "', '" + "http://www.creativewomenworkshops.com/CWW/Admin/Attachments/" + "Vol_" + LastNameField.Text + "_" + FirstNameField.Text + "/photo/" + strPhotoFileName
				+ "', '" + "wsVolunteerCrew"
				+ "', '" + priCam.Text
				+ "', '" + priGrip.Text
				+ "', '" + priSound.Text
				+ "', '" + priWard.Text
				+ "', '" + priPa.Text
				+ "', '" + priProps.Text
				+ "', '" + priSetDec.Text
				+ "', '" + priOther.Text
				+ "', '" + priOtherSpecify.Text
				+ "', '" + streCam.Text
				+ "', '" + streGrip.Text
				+ "', '" + streSound.Text
				+ "', '" + streWard.Text
				+ "', '" + strePa.Text
				+ "', '" + streProps.Text
				+ "', '" + streSetDec.Text
				+ "', '" + streOther.Text
				+ "', '" + streOtherSpecify.Text
				+ "')";

			OdbcCommand myCommand = new OdbcCommand(myInsertStatement,conn); //creates execution command

			conn.Open();  //opens server connection
			
			OdbcDataReader myReader = myCommand.ExecuteReader(); //execute sql statement

			conn.Close();  //closes server connection

			//direct user to confirm page
			Server.Transfer("VolunteerConfirm.aspx", true);
			
		}

		private void ResetButton_Click(object sender, System.EventArgs e)
		{
			FirstNameField.Text="";
			LastNameField.Text="";
			AddressField.Text="";
			CityField.Text="";
			ProvField.Text="";
			CountryField.Text="";
			PostalField.Text="";
			EmailField.Text="";
			SINField.Text="";
			TelephoneField.Text="";
			MobileField.Text="";
			WorkField.Text="";
			FaxField.Text="";
			ContactNameField.Text="";
			ContactTelephoneField.Text="";
			Textbox1.Text="";

			priCam.Text="";
			priGrip.Text="";
			priSound.Text="";
			priWard.Text="";
			priPa.Text="";
			priProps.Text="";
			priSetDec.Text="";
			priOther.Text="";
			priOtherSpecify.Text="";
			streCam.Text="";
			streGrip.Text="";
			streSound.Text="";
			streWard.Text="";
			strePa.Text="";
			streProps.Text="";
			streSetDec.Text="";
			streOther.Text="";
			streOtherSpecify.Text="";
		}


	}

}
